org.eclipse.jetty.security.jaspi

## Class JaspiAuthenticatorFactory

- java.lang.Object
- - org.eclipse.jetty.security.DefaultAuthenticatorFactory
  - - org.eclipse.jetty.security.jaspi.JaspiAuthenticatorFactory

All Implemented Interfaces:
  Authenticator.Factory

    public class JaspiAuthenticatorFactory
    extends DefaultAuthenticatorFactory

### Constructor Summary

Constructors
Constructor and Description
`JaspiAuthenticatorFactory()`

### Method Summary

Methods
`protected String` `findServerName(Server server, Subject subject)` Find a servername.
`protected Subject` `findServiceSubject(Server server)` Find a service Subject.
`Authenticator` `getAuthenticator(Server server, javax.servlet.ServletContext context, Authenticator.AuthConfiguration configuration, IdentityService identityService, LoginService loginService)`
`String` `getServerName()`
`Subject` `getServiceSubject()`
`void` `setServerName(String serverName)`
`void` `setServiceSubject(Subject serviceSubject)`

### Methods inherited from class org.eclipse.jetty.security.DefaultAuthenticatorFactory

`getLoginService, setLoginService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JaspiAuthenticatorFactory

    public JaspiAuthenticatorFactory()

### Method Detail

#### getServiceSubject

    public Subject getServiceSubject()

Returns:
  the serviceSubject

#### setServiceSubject

    public void setServiceSubject(Subject serviceSubject)

Parameters:
  `serviceSubject` - the serviceSubject to set

#### getServerName

    public String getServerName()

Returns:
  the serverName

#### setServerName

    public void setServerName(String serverName)

Parameters:
  `serverName` - the serverName to set

#### getAuthenticator

    public Authenticator getAuthenticator(Server server,
                                 javax.servlet.ServletContext context,
                                 Authenticator.AuthConfiguration configuration,
                                 IdentityService identityService,
                                 LoginService loginService)

Specified by:
  `getAuthenticator` in interface `Authenticator.Factory`
Overrides:
  `getAuthenticator` in class `DefaultAuthenticatorFactory`

#### findServiceSubject

    protected Subject findServiceSubject(Server server)

Find a service Subject. If `setServiceSubject(Subject)` has not been used to set a subject, then the `AggregateLifeCycle.getBeans(Class)` method is used to look for a Subject.

#### findServerName

    protected String findServerName(Server server,
                        Subject subject)

Find a servername. If `setServerName(String)` has not been called, then use the name of the a principal in the service subject. If not found, return "server".